View Issue Details

IDProjectCategoryView StatusLast Update
0004405Talerotherpublic2019-09-16 09:11
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionwon't fix 
Product Version0.0 
Target Version0.6Fixed in Version0.6 
Summary0004405: donation button demo missing
DescriptionWe should have a donation button that is easy to integrate with other websites.

That consists of JavaScript part that is embedded in other applications, as well as the server-side code that talks to the backend.
TagsNo tags attached.

Activities

Florian Dold

2016-04-19 19:11

manager   ~0010526

Last edited: 2016-11-09 09:49

View 2 revisions

We need to come up with a design for this first.

We'll probably have some JavaScript that we can put on arbitrary websites, which is configured with a talerbutton-frontend URL.

Marcello Stanisci

2017-03-09 17:25

manager   ~0011914

As of latest discussion, this issue wants to reproduce the "flattr experience"
in Taler. So it requires a new *frontend* that has buttons throughout its pages, and
clicking those buttons will firstly prompt the proposal (as usual), and after the
user accepts, it will restore the page at the exact position where the user clicked
on the button in the first place.

Florian Dold

2019-09-01 18:38

manager   ~0014829

Last edited: 2019-09-01 18:38

View 2 revisions

This should now be handled by codeless payments, see 0005870. There is no reason to have an additional/separate payment button implementation.

Issue History

Date Modified Username Field Change
2016-04-11 21:54 Florian Dold New Issue
2016-04-14 00:50 Christian Grothoff Severity minor => feature
2016-04-14 00:53 Christian Grothoff Product Version => 0.0
2016-04-14 00:53 Christian Grothoff Target Version => 0.2
2016-04-19 19:11 Florian Dold Note Added: 0010526
2016-06-27 14:03 Marcello Stanisci Assigned To => Marcello Stanisci
2016-06-27 14:03 Marcello Stanisci Status new => assigned
2016-11-09 09:49 Marcello Stanisci Note Edited: 0010526 View Revisions
2016-11-15 00:43 root Target Version 0.2 => 0.3
2017-03-09 17:25 Marcello Stanisci Note Added: 0011914
2017-04-09 00:30 Christian Grothoff Target Version 0.3 =>
2017-10-23 10:36 Christian Grothoff Assigned To Marcello Stanisci =>
2017-10-23 10:36 Christian Grothoff Status assigned => confirmed
2019-09-01 18:38 Florian Dold Assigned To => Florian Dold
2019-09-01 18:38 Florian Dold Status confirmed => resolved
2019-09-01 18:38 Florian Dold Resolution open => fixed
2019-09-01 18:38 Florian Dold Note Added: 0014829
2019-09-01 18:38 Florian Dold Note Edited: 0014829 View Revisions
2019-09-16 09:11 Christian Grothoff Resolution fixed => won't fix
2019-09-16 09:11 Christian Grothoff Fixed in Version => 0.6
2019-09-16 09:11 Christian Grothoff Target Version => 0.6
2019-09-16 09:11 Christian Grothoff Status resolved => closed